List canned responses
Shared and private canned responses with text, shortcuts, group and tags.
GET https://cotlet.dev/api/v1/livechat/canned-responses
read
Lists the canned responses you can use: your private ones and the shared ones, with the text, the shortcuts you type after #, the group and the tags. Needs a plan with canned responses (Team, Business or Enterprise). Use the shortcut and text when replying.
Parameters
| Name | Type | Description |
|---|---|---|
| visibility enum | enum | all, shared or private. Default: all. |
| group string | string | Only responses for this group. |
Request
curl https://cotlet.dev/api/v1/livechat/canned-responses \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("livechat", "list_canned_responses") const result = await cotlet.call('livechat', 'list_canned_responses'); cotlet call livechat list_canned_responses Example response
{
"responses": [
{
"response_id": "cr_1041",
"visibility": "shared",
"group": "Support",
"shortcuts": [
"returns"
],
"text": "Hi %customer-name%, you can return an item within 14 days. Reply with your order number and I will start it.",
"tags": [
"refund"
]
}
]
}